from App.Dialogs import MessageDialog
from Products.ZBabel.ZBabelObject import manage_addZBabelObject


LocalizationError = 'Localization Error'
defaultLanguage = 'de'

class LocalizationSupport:
    '''Tool to localize objects in the ZMI, using ZBabel Object'''

    def manage_localizeObjects(self, REQUEST=None):
        '''localizes the given objects by converting them into ZBabel Objects'''

        if 'ids' not in REQUEST.keys():
            raise LocalizationError, MessageDialog(
                  title=self.translate('No objects specified!'),
                  message=self.translate('You must select one or more items to perform this operation.'),
                  action='manage_main')
        
        for item in REQUEST['ids']:
            if not (self[item].meta_type == 'ZBabel Object'):
                self.manage_renameObjects([item,],[defaultLanguage,])
                object = self[defaultLanguage]
                meta_type=object.meta_type
                try:
                    title = object.title
                except:
                    title = ''
                manage_addZBabelObject(self, item, title, meta_type, REQUEST=None)
                babelObject = self[item]

                ## This is better, but the security checks block it from working with SmartSections
                #babelObject.manage_clone(object, defaultLanguage)
                object = object._getCopy(self)
                object._setId(defaultLanguage)
                babelObject._setObject(defaultLanguage, object)
                object = object._getCopy(self)
                object._setId('en')
                babelObject._setObject('en', object)
                                
                self.manage_delObjects([defaultLanguage,])

        return self.manage_main(REQUEST)

        ob=ob._getCopy(self)
        ob._setId(id)
        self._setObject(id, ob)
        ob=ob.__of__(self)
        #ob._postCopy(self, op=0)
        return ob
    
