from Globals import ImageFile
import OrderedFolder

try:
    from Products.ZBabel import ZBabelTag
except:
    import NoBabelTag


def initialize(context):

    context.registerClass(
        OrderedFolder.OrderedFolder,
        constructors=(OrderedFolder.manage_addOrderedFolderForm,
                      OrderedFolder.manage_addOrderedFolder),
        icon='www/Folder_icon.gif'
        )
    
    context.registerBaseClass(OrderedFolder.OrderedFolder)


    
misc_ = {'up'     : ImageFile('www/up.gif', globals()),
         'down'   : ImageFile('www/down.gif', globals()),
         'top'    : ImageFile('www/top.gif', globals()),
         'bottom' : ImageFile('www/bottom.gif', globals())}
